
#ifndef PLS_PARALLEL_FOR_H
#define PLS_PARALLEL_FOR_H

namespace pls {
namespace algorithm {

template<typename RandomIt, typename Function>
void parallel_for(RandomIt first, RandomIt last, const Function &function);

template<typename RandomIt, typename Function>
void parallel_for_fork_join(RandomIt first, RandomIt last, const Function &function);

}
}
#include "parallel_for_impl.h"

#endif //PLS_PARALLEL_FOR_H
